Subject: Re: To _USE_ or not to use InstallShield? WAS: Re: B19: InstallShield reports: "WinExec failed: return=20" after 99% completion
From: [email-masked] ($Bill Luebkert)

7 May 1998 14:17:06 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "\"Zow\" Terry Brugger" <[email-masked]>
Cc: gw32 <[email-masked]>

"Zow" Terry Brugger wrote:
> 
> What about the need to download tar and gzip first? I've dealt with UNIX emulation packages under DOS and NT before, and I end up with mismatched tars and gzips. Different ones for different packages and none of them compatible (don't ask me why, I don't understand either). So, I would go to install the system on another machine, and find that the gzip or the tar I had didn't work: the package became useless. If there was a self-extracting tar/gz, I wouldn't be opposed to the idea.
> 
> Terry
> 
> -----Original Message-----
> From:   Earnie Boyd [SMTP:[email-masked]]
> 
> Correct me if I'm wrong; but, if your only problem is the registry, it
> gets populated with the initialization defaults upon the first
> instance of the cygwin???.dll.  So the fact that the registry keys
> aren't found doesn't prevent the use of the cygwin tools.
> 
> As for the target of users, I think it would be more for the
> experienced UNIX professional forced to use Win32 than it would be
> with the casual windows user.  If the non-UNIX professional downloads
> the toolset; he must decide whether he's interested in learning UNIX.
> If not he's going to throw it away or not use it much.
> 
> The advantages of the tarball outweigh the disadvantages and the
> disadvantages of InstallShield outweigh the advantages.  I can't even
> think of an advantage to InstallShield given that you don't have to
> setup the registry keys prior to executing the tools.

I'm very UNIX-centric and like to know what's happening when I install
something.  With a zip or tar or gz file, I know exactly what's going 
to happen when I install it.  Everyone on Win95/NT has Winzip which can 
handle all three of these guys.

I HATE THE REGISTRY.  I'm against a single repository of information 
about programs on the system.  I'm against programs each modifying 
and saving system init files and trying to remove one of them and get 
back to where you were.  I can't be done the way it is now.  SEGREGATE
is the key word on a boloxed up Win95 system that hasn't got enough 
protection between tasks.  We need to put some space between things.
I bet Win98 isn't any better at protection (or is it?).

<SOAPBOX>Go for simplicity; go for obvious; go for in-plain-sight; go 
for I-know-what's-happening-when-the-install-runs; go for zip or 
tar.gz; down with InstallShield!</SOAPBOX>

-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Mailto:[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".